/*

  $Id: fbus-phonet.h,v 1.5 2002/03/28 21:37:49 pkot Exp $

  G N O K I I

  A Linux/Unix toolset and driver for Nokia mobile phones.

  This file is part of gnokii.

  Gnokii is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Gnokii is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with gnokii; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  Copyright (C) 2000 Hugh Blemings & Pavel Jank ml.
  Copyright (C) 2000 Chris Kemp

  This file provides an API for accessing functions via fbus over irda.
  See README for more details on supported mobile phones.

*/

#ifndef __links_fbus_phonet_h
#define __links_fbus_phonet_h

#include "fbus-common.h"

#define PHONET_MAX_FRAME_LENGTH    1010
#define PHONET_MAX_TRANSMIT_LENGTH 1010
#define PHONET_MAX_CONTENT_LENGTH  1000

/* This byte is at the beginning of all GSM Frames sent over PhoNet. */
#define FBUS_PHONET_FRAME_ID 0x14

GSM_Error PHONET_Initialise(GSM_Link *newlink, GSM_Statemachine *state);

typedef struct {
	int BufferCount;
	enum FBUS_RX_States state;
	int MessageSource;
	int MessageDestination;
	int MessageType;
	int MessageLength;
	char MessageBuffer[PHONET_MAX_FRAME_LENGTH];
} PHONET_IncomingMessage;


#endif   /* #ifndef __links_fbus_phonet_h */
